> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple delegations



## OpenAPI

````yaml patch /v1/delegations/bulk-delete
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/bulk-delete:
    patch:
      tags:
        - delegations
      summary: Delete multiple delegations
      operationId: DelegationController_bulkDeleteDelegations_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DelegationsBulkActionDto'
      responses:
        '200':
          description: Delegations deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationsBulkDeleteResponseDto'
      security:
        - accessToken: []
components:
  schemas:
    DelegationsBulkActionDto:
      type: object
      properties:
        tenantId:
          type: string
          description: The tenant ID
        delegationIds:
          minItems: 1
          description: Array of delegation IDs to delete/archive/restore etc.
          type: array
          items:
            type: string
        cascadeToChildDelegations:
          type: boolean
          default: false
          description: Indicates where this action should cascade to child delegations
      required:
        - tenantId
        - delegationIds
    DelegationsBulkDeleteResponseDto:
      type: object
      properties:
        deleteCount:
          type: number
          description: Number of delegations deleted
      required:
        - deleteCount
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````